org.apache.pdfbox.pdmodel.fdf

## Class FDFOptionElement

- java.lang.Object
- - org.apache.pdfbox.pdmodel.fdf.FDFOptionElement

All Implemented Interfaces:
  COSObjectable

    public class FDFOptionElement
    extends Object
    implements COSObjectable

This represents an object that can be used in a Field's Opt entry to represent an available option and a default appearance string.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`FDFOptionElement()` Default constructor.
`FDFOptionElement(COSArray o)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSArray` `getCOSArray()` Convert this standard java object to a COS object.
`COSBase` `getCOSObject()` Convert this standard java object to a COS object.
`String` `getDefaultAppearanceString()` This will get the string of default appearance string.
`String` `getOption()` This will get the string of one of the available options.
`void` `setDefaultAppearanceString(String da)` This will set the default appearance string.
`void` `setOption(String opt)` This will set the string for an available option.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FDFOptionElement

    public FDFOptionElement()

Default constructor.

#### FDFOptionElement

    public FDFOptionElement(COSArray o)

Constructor.

Parameters:
  `o` - The option element.

### Method Detail

#### getCOSObject

    public COSBase getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getCOSArray

    public COSArray getCOSArray()

Convert this standard java object to a COS object.

Returns:
  The cos object that matches this Java object.

#### getOption

    public String getOption()

This will get the string of one of the available options. A required element.

Returns:
  An available option.

#### setOption

    public void setOption(String opt)

This will set the string for an available option.

Parameters:
  `opt` - One of the available options.

#### getDefaultAppearanceString

    public String getDefaultAppearanceString()

This will get the string of default appearance string. A required element.

Returns:
  A default appearance string.

#### setDefaultAppearanceString

    public void setDefaultAppearanceString(String da)

This will set the default appearance string.

Parameters:
  `da` - The default appearance string.